[flake8]
max-line-length = 120
exclude = .tox,.git,*/migrations/*,*/static/CACHE/*,docs,tests/data
ignore = F405,W503,E203,E501
select = C,E,F,W,B,B950

[isort]
skip_glob = .tox,.git,*/migrations/*,*/static/CACHE/*,docs

[pycodestyle]
max-line-length = 120
exclude=.tox,.git,*/migrations/*,*/static/CACHE/*,docs

[tox:tox]
skipsdist = true
envlist = py37

[testenv]
envdir = ../.venv
whitelist_externals =
    poetry
    printenv
skip_install = true
passenv = DOTFILE
commands =
    printenv
    poetry install -vvv
    poetry run pytest

[tool:pytest]
DJANGO_SETTINGS_MODULE = olki.settings
addopts = -ra -v --maxfail=4 --doctest-modules
python_files = tests.py test_*.py *_tests.py
filterwarnings =
    ignore::DeprecationWarning
    ignore::PendingDeprecationWarning
markers =
    with_fe: mark a test as a requiring the front-end.
